<div class="ibox-form-container mb-0"   >

  <div class="ibox-title">
    <div class="ibox-title-child" style="display: inline-block">{{"ACCOUNT_DETAILS.CONTACT.TITLE2"|translate}}</div>
  </div>

  <!-- choisir pp/pm -->
  <div class="ibox-filter row mt-2">
    <div class="col-12">
      <div *ngIf="contactsPMList && contactsPPList">
        <div class=" pt-0 pb-2 px-0">
          <ul  class="nav nav-tabs mb-0 .nav-justified-custom" id="myTab-1" role="tablist">
            <li class="nav-item">
              <a class="nav-link active" id="contact-tab"  data-toggle="tab" href="#pp" role="tab" aria-controls="pp" aria-selected="false">
                {{"FIELD.CONTACT_PP.TYPE"|translate}}
                <span class="badge"> {{contactsPPList.length}} </span></a>
            </li>
            <li class="nav-item">
              <a class="nav-link" id="event-tab" data-toggle="tab" href="#pm" role="tab" aria-controls="pm" aria-selected="true">
                {{"FIELD.CONTACT_PM.TYPE"|translate}}
                <span class="badge"> {{contactsPMList.length}} </span></a>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>


  <!-- zone pp -->
  <div class="tab-content ibox-filter" *ngIf="!loading" >
    <div class="tab-pane fade show active"  id="pp" role="tabpanel" aria-labelledby="pp-tab" *ngIf="selectionEnabled">
      <div class="mt-0">
        <app-data-table [settings]="settingsPP" [items]="contactsPPList" (itemChecked)="onItemChecked($event)"></app-data-table>
      </div>
      <div class="row my-2">
        <div class="col">
          <div class="float-right mr-2">
            <button type="button" class="submit-button btn btn-sm btn-success" (click)="switchMode()" [hidden]="!selectionEnabled"
                    [disabled]="selectedContacts?.length===0" [title]="'ADD_CONTACT.AFFECT'|translate">
              <i class="ri-arrow-right-line"></i></button>
          </div>
        </div>
      </div>
    </div>
    <!-- zone pm -->

    <div class="tab-pane fade show" id="pm" role="tabpanel" aria-labelledby="pm-tab" *ngIf="selectionEnabled">
      <div class="mt-0">
        <app-data-table [settings]="settingsPM" [items]="contactsPMList" (itemChecked)="onItemChecked($event)"></app-data-table>
      </div>
      <div class="row my-2">
        <div class="col">
          <div class="float-right mr-2">
            <button type="button" class="submit-button btn btn-sm btn-success" (click)="switchMode()" [hidden]="!selectionEnabled"
                    [disabled]="selectedContacts?.length===0" [title]="'ADD_CONTACT.AFFECT'|translate">
              <i class="ri-arrow-right-line"></i></button>
          </div>
        </div>
      </div>
    </div>

    <ng-container *ngIf="!selectionEnabled">

      <div  class="col data-table-container px-0 ibox-filter">
        <table class="table table-sm table-hover mb-0">
          <thead>
          <tr>
            <th>{{'COLUMNS.CONTACT_AFFECT.CODE'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.NOM'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.PRENOM'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.MOBILE'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.EMAIL'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.CODE_POSTALE'|translate}}</th>
            <th>{{'COLUMNS.CONTACT_AFFECT.VILLE'|translate}}</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let el of selectedContacts; let idx = index"
              [className]="idx===currentItemIndex?'selected-bg':''"
              style="cursor: pointer;" (click)="onContactClick(el.code, idx, el['affected'])">
            <td>
              <span class="text-danger mr-1">{{idx === currentItemIndex ? '>>' : ''}}</span>
              {{el.code}}
              <span class="text-success">{{el['affected'] ? '✅' : ''}}</span>
            </td>
            <td>{{el['nom']}}</td>
            <td>{{el['prenom']}}</td>
            <td>{{el.mobile1}}</td>
            <td>{{el.email}}</td>
            <td>{{el.codePostale}}</td>
            <td>{{el.ville}}</td>
          </tr>
          </tbody>
        </table>

        <hr>
      </div>

      <form class="col-12 ibox-filter" [formGroup]="compteContactForm"
            (ngSubmit)="onSubmit()" (reset)="onReset()" autocomplete="off">

        <div class="row">

          <div class="col-md-4">
            <input type="text" class="form-control form-control-sm" formControlName="descriptionContact"
                   pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.DESCRIPTION'|translate">
            <div *ngIf="compteContactForm?.get('descriptionContact').invalid && showFormErrors">
              <div *ngIf="compteContactForm?.get('descriptionContact').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
              <div *ngIf="compteContactForm?.get('descriptionContact').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <input type="text" class="form-control form-control-sm" formControlName="role"
                   pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.ROLE'|translate">
            <div *ngIf="compteContactForm?.get('role').invalid && showFormErrors">
              <div *ngIf="compteContactForm?.get('role').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
              <div *ngIf="compteContactForm.get('role').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

          <div class="col-md-4">
            <input type="text" class="form-control form-control-sm" formControlName="qualite"
                   pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.QUALITE'|translate">
            <div *ngIf="compteContactForm?.get('qualite').invalid && showFormErrors">
              <div *ngIf="compteContactForm?.get('qualite').errors.required" class="text-danger">
                <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
              </div>
              <div *ngIf="compteContactForm.get('qualite').errors.pattern" class="text-danger">
                <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
              </div>
            </div>
          </div>

        </div>

        <div class="row mt-2">

          <div class="col-md-6">
            <input type="text" class="form-control form-control-sm" formControlName="dateDebutQualite"
                   [placeholder]="'FIELD.COMPTE_CONTACT.DATE_DEBUT_QUALITE'|translate"
                   [owlDateTime]="dt" [max]="compteContactForm?.get('dateFinQualite')?.value">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt"
                  [title]="'FIELD.PLEASE.CHOOSE'|translate">
              <i class="ri-calendar-line"></i></span>
            <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>
          </div>

          <div class="col-md-6">
            <input type="text" class="form-control form-control-sm" formControlName="dateFinQualite"
                   [placeholder]="'FIELD.COMPTE_CONTACT.DATE_FIN_QUALITE'|translate"
                   [owlDateTime]="dt2" [min]="compteContactForm?.get('dateDebutQualite')?.value">
            <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt2"
                  [title]="'FIELD.PLEASE.CHOOSE'|translate">
              <i class="ri-calendar-line"></i></span>
            <owl-date-time #dt2 [pickerType]="'calendar'"></owl-date-time>
          </div>

        </div>

        <div class="row mt-2">

          <div class="col-md-6">
            <input type="number" class="form-control form-control-sm" formControlName="pourcentageCapital"
                   [placeholder]="'FIELD.COMPTE_CONTACT.POURCENTAGE_CAPITAL'|translate">
          </div>

          <div class="col-md-6">
            <input type="number" class="form-control form-control-sm" formControlName="pourcentageDroitVote"
                   [placeholder]="'FIELD.COMPTE_CONTACT.POURCENTAGE_DROIT'|translate">
          </div>

        </div>

        <div class="row mt-2">
          <div class="col">
            <button type="button" class="submit-button btn btn-sm btn-primary mr-2" [title]="'ADD_CONTACT.PREV'|translate"
                    (click)="returnSelect()" [disabled]="loading || (payloadList?.length!==0)">
              <i class="ri-arrow-go-back-line"></i></button>
          </div>

          <div class="text-right col">
            <button type="button" class="submit-button btn btn-danger btn-sm mr-2" [title]="'FIELD.BUTTONS.CANCEL'|translate"
                    (click)="closePopup(false)" [disabled]="loading">
              <i class="ri-close-line"></i></button>
            <button type="submit" class="submit-button btn btn-primary btn-sm" [title]="'ADD_CONTACT.VALID'|translate"
                    [class.btn-success]="this.currentItemIndex===(this.selectedContacts?.length-1)"
                    [disabled]="loading">
              <ng-container *ngIf="this.currentItemIndex<(this.selectedContacts?.length-1)">
                <i class="ri-arrow-right-line"></i></ng-container>
              <ng-container *ngIf="this.currentItemIndex===(this.selectedContacts?.length-1)">
                <i class="ri-save-line"></i></ng-container>
            </button>
          </div>
        </div>

      </form>

    </ng-container>

</div>
